/* ========================================
 *
 * Copyright CONSULTRON, 2019
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF CONSULTRON.
 *
 * ========================================
*/
/*--------------------------------------------------
•	3.0.0: Use SysTick to schedule the RSSI and TxPwrLvl Event requests.
	- Use connection Interval from LL_DATA parameters to calculate the SysTick interval.
•	3.0.1: Use Cy_BLE_RegisterInterruptCallback() and Cy_BLE_UnRegisterInterruptCallback() IPC callback to replace the SysTick with connection Interval.
	- For now, use CY_BLE_INTR_CALLBACK_BLESS_STACK_ISR for the IPC callback event source.
	- Use the SysTick_isr() schedule the RSSI and TxPwrLvl Event requests.
*/
#if !defined(VERSION_H)
#define VERSION_H
#define SW_TITLE	CY_PROJECT_NAME
#define SW_VER_REV_REL 		3.0.1

// This is a sexy yet slightly confusing macro to turn any literal including numbers into a string literal
#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)
	
#endif		// VERSION_H
/* [] END OF FILE */
